<template>
  <div class="fix-height-subpage column no-wrap q-pa-md">
    <ticket-order-header></ticket-order-header>
    <ticket-order-list></ticket-order-list>
  </div>
</template>

<script lang="ts">
import { defineComponent, inject, provide, reactive, toRefs, onMounted } from 'vue'
import { currentRouter } from 'src/router'
import useMetaModule from '../../module/meta/metaModule'
import { useI18n } from 'vue-i18n'
import TicketOrderHeader from 'src/components/CharteredBus/order/TicketOrderHeader.vue'
import { DirtionmaryHelper } from 'src/config/dictionary'
import TicketOrderList from 'src/components/CharteredBus/order/TicketOrderList.vue'

export default defineComponent({
  components: {TicketOrderHeader, TicketOrderList},
  setup(props) {
    let { setTitle } = useMetaModule()
    const { t } = useI18n()
    const pageTitle = inject(DirtionmaryHelper.PAGE_TITLE_KEY) as any
    pageTitle.value = t('v102.to.pageTitle')
    setTitle(pageTitle.value)

    const search = reactive({
      OrderId: '',
      OrderNo: '',
      OrderStatus: 0,
      StartTime: '',
      EndTime: '',

      // TicketName:'',//景区名称
      CouponsName: '',//景区名称
      ContactNumber: '',//电话

      Name: '',//顾客名称
      UseSTime: '',//门票开始时间
      UseETime: '',//门票结束时间
      MailingState: -1
    })
    search.OrderId = currentRouter.currentRoute.value.params.orderId

    provide(DirtionmaryHelper.TICKET_ORDER_SEARCH, search)
    const menu = inject(DirtionmaryHelper.MENU_KEYS) as any
    menu.value = 9

    const data = reactive({})
    const methods = {}
    onMounted(() => {})
    return { ...toRefs(data), ...methods, search }
  }
})
</script>

<style></style>
